# IRdChunkThumbnail Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | GetBitmap ([out, retval] IRdBitmap **ppBitmap)
HRESULT | PutBitmap ([in] IRdBitmap *pBitmap,[in] RtDWORD dwFormat)
HRESULT | GetBitmapStream ([out, retval] IStream **ppStream)
HRESULT | PutBitmapStream ([in] IStream *pStream,[in] RtDWORD dwReadCount)
## Properties
RtDWORD * | BitmapStreamSize`[get]`

## Detailed Description

Chunk is used for 2D preview of a bitmap. Size, color depth and format could be various. One stream/file could contain more than one thumbnail (e.g. various size, angles of view, …).

## Member Function Documentation

HRESULT IRdChunkThumbnail::GetBitmap | ( | [out, retval] IRdBitmap ** | ppBitmap | ) |

Get thumbnail as RdBitmap object

Parameters:

  | ppBitmap | [out, retval] Returns pointer to the thumbnail copy.

Returns:
  Standard HRESULT processing can be applied to the result.

Remarks:
  To create the RdBitmap the CommonData package must be present. If it isn't, then only Bitmap's stream is available.

HRESULT IRdChunkThumbnail::PutBitmap | ( | [in] IRdBitmap * | pBitmap,
|  | [in] RtDWORD | dwFormat |
| ) |  |  |

Set thumbnail from RdBitmap object

Parameters:

  | pBitmap | [in] Pointer to the thumbnail that will be copied to the chunk.
  | dwFormat | [in] File format in which the thumbnail will be serialized. If it is not set, BMP format is used. BFILEFMT_BMP = 0 - Save as bitmap file BFILEFMT_JPG = 1 - Save as jpeg BFILEFMT_TGA = 2 - TGA is not supported BFILEFMT_PNG = 3 - Save as PNG BFILEFMT_DDS = 4 - Save as DirectX DDS file BFILEFMT_PPM = 5 - PPM is not supported BFILEFMT_DIB = 6 - Save as Windows DIB BFILEFMT_HDR = 7 - Save in HDR format BFILEFMT_PFM = 8 - Save in Portable Pixmap format

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRdChunkThumbnail::GetBitmapStream | ( | [out, retval] IStream ** | ppStream | ) |

Get thumbnail as bitmap file stream. See property Bitmap for possible formats.

Parameters:

  | ppStream | [out, retval] Returns stream with serialized thumbnail.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRdChunkThumbnail::PutBitmapStream | ( | [in] IStream * | pStream,
|  | [in] RtDWORD | dwReadCount |
| ) |  |  |

Set thumbnail from bitmap file stream. See property Bitmap for possible formats.

Parameters:

  | pStream | [in] Specify stream with serialized thumbnail.
  | dwReadCount | [in]

Returns:
  Standard HRESULT processing can be applied to the result.

## Property Documentation

RtDWORD * IRdChunkThumbnail::BitmapStreamSize`[get]`

Use to get serialized bitmap's stream size.

Parameters:

  | pdwStreamSize | [out, retval] Returns stream size.

Returns:
  Standard HRESULT processing can be applied to the result.